Some notes on Dynare 4.....
    
You have to prepare a mod file (a file with extension .mod). The mod file provides your model to Dynare, and tells Dynare what you want 
  to do with the model: simulate is, solve it, estimate it....
    
There are some pieces of information you will have to provide to Dynare...what are the equations (equilibrium conditions)
  of your model? What are the parameter values of the model? What are the exogenous shocks, and what are the standard deviations
  of those shocks? Also, in practice, it is a good idea for you to provide a program which computes the steady state of the model. 
  Dynare can try to compute the steady state, but in practice it can do so without any assistance only if the model is very simple. 
  For models of reasonable size, Dynare will at least require that you give it a very good guess of the steady state. 


you have to declare the endogenous variables (var command)
you have to declare the exogenous variables (varexo command).

you have to write down the equations of your model (model; ..... end;)

dynare will produce two files based on your mod file
  name_static.m, name_dynamic.m, name.m
these include the main MATLAB program that executes the commands you placed in the mod file (i.e., name.m, if your mod file is
name.mod). In addition, there is the list of dynamic equations (name_dynamic.m) and the list of steady state equations,
(name_static.m). 
    
You can think of your mod file as a sort of matlab file with weird commands which are the ones that dynare understands. 
The MATLAB file, name.m, contains the statements in your mod file, with the Dynare commands expanded into MATLAB code.

In using Dynare 4 it is useful to be aware that in MATLAB, there are vectors and matrices, as well as 'structures'.

A vector is something like A, a collection of numbers arranged either as a column (column vector) or a row (i.e., row vector). A matrix
is a two-dimensional array.

A structure is a collection of objects. It has the format, name.xx, where name is the name of the structure and xx is the name 
of the field in the structure. Structures are a nice organizing device. You take objects with some similar characteristics and make them fields
in one structure.

there will be some parameters that the main matlab code will need to pass on to the static and the dynamic equations of your model. 
It passes these on by putting them into a vector which is stored in the field 'params', in the structure, 'M_': 

M_.params

you have to tell dynare which parameters you want to place inside M_.params. You do that by listing the names of these parameters
in the Dynare parameters statement. The variables in the parameters statement then need to be assigned numerical values. The obvious 
way to do this is to simply have the command, vbl=7, in the mod file. However, 
sometimes it is convenient to have variable values assigned in another file. This may be because you are working with different versions of your
model, which are contained in different mod files and, to be sure that each model uses the same parameters, you may want each mod file to look
in the same place for the parameters. If you have the parameters set somewhere else, you have to be cognizent of a little quirck in dynare 4.
You can set parameters that go into the parameter statement in and m file, but it must be a script file.(A script file is a MATLAB m file
that has a sequence of MATLAB commands, but does not have any special declaration at the beginning.) In particular, it cannot be that the 
parameter values are the output of a MATLAB funcion file (a function file is a sequence of MATLAB commands which begins with a statement with 
the format 
function [a, b, c] = name(d, e, f)
where a, b, c are objects generated inside the m file and d, e, f, are objects that the m file requires as input to do what it does.

the M_ structure has other information too. You can see what all the fields are in a structure by typing name (i.e., the name
of the structure, say M_) at the MATLAB command prompt.

there are other interesting structures. For example, oo_ contains various numerical results, oo_.steady_state contains the steady state of the
variables in the model. Since the contents of this field is just a sequence of numbers, you need to know what variables 
they correspond to. They correspond to the variables in the var command, in the order in which you typed them into the var
command. You can confirm what these variables are and their order by typing, at the MATLAB prompt, M_.endo_names.