// Endogenous variables
var R h pie C Util A;

// Innovations
varexo eps_A;

// PARAMETERS
parameters nbeta chi beta epsil phi rho alpha nu pietarget;

beta = 0.99;
epsil = 5;
phi = 100;
rho = 0.9;
alpha = 1.5;
nbeta = beta;
nu=1/(epsil-1);
//nu=0;
chi=1;
pietarget=1.;

[A_SS,h_SS,R_SS,pie_SS,C_SS] = steadys(pietarget,beta,phi,nu,epsil,chi);

model;

//Euler
1/(1+R) = beta*C/(C(+1)*pie(+1));

//new Keynesian Phillips Curve
((1+nu - (epsil/(epsil-1)))*(1-epsil)+epsil*(chi*h*C/A-1))*(1+phi*(pie-1)^2/2)-phi*(pie-1)*pie
   + beta*phi*(pie(+1)-1)*pie(+1);

// resource constraint
C*(1+(phi/2)*(pie-1)^2)-A*h;

//Technology Shocks
log(A) = rho*log(A(-1))+eps_A;
//log(A) = 1.85*log(A(-1))-0.855*log(A(-2))+eps_A;

Util=log(C)-chi*h^2/2;

end;

initval;
	Util=-chi/2;
	R=R_SS; 
	h=h_SS; 
	pie=pie_SS; 
	C=C_SS;
	A=A_SS; 
end;

shocks;
var eps_A;
stderr .01;
end;

steady;

planner_objective Util;
options_.debug = 1;
ramsey_policy(order=1,irf=24, planner_discount=0.99,nograph);
plotQ2
